%define name	checkpassword-pam
%define version	0.97
%define release	7rph

Name:		%{name}
Summary:	A checkpassword compatible authentication program
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://checkpasswd-pam.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
BuildPreReq:	pam-devel
Provides:	%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Packager:	Shekhar Joshi <shekhar@dishatech.com>

%description
checkpassword-pam is an implementation of checkpassword-compatible
authentication program.

Checkpassword is described in <URL:http://cr.yp.to/checkpwd.html>

checkpassword-pam was written from scratch.  There are several older
packages called checkpassword-pam, derived from DJB's checkpassword
code.   This checkpassword-pam is more modern and
administrator-friendly.

If you are using Linux-PAM, make sure it is more recent than 0.59.
Incompatibilities are in the PAM conversation function (number of
requests vs number of responses).  All modern Linux distribution use
PAM newer than that.

%prep
%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%configure

%make

%install
mkdir -p %{buildroot}/bin
mkdir -p %{buildroot}%{_mandir}/man8

install -m 700 checkpassword-pam %{buildroot}/bin
install -m 644 checkpassword-pam.8 %{buildroot}%{_mandir}/man8

cat << EOF >> $RPM_BUILD_DIR/%{name}-%{version}/SAMPLE.pam-qmail-pop3d
#%PAM-1.0
# Sample pam file for using kerberos authentication with qmail-pop3d
# requires krb5-libs and krb5-workstation and pam_krb5 works for me, 
# I am using it to authenticate qmail-pop3d against Active Directory
# save this file as /etc/pam.d/qmail-pop3d and call it from the 
# appropriate run script
auth 		required 	pam_nologin.so
auth 		required 	pam_krb5.so 	shadow	nullok
account 	required 	pam_pwdb.so
account 	required  	pam_stack.so 	service=system-auth
session 	required 	pam_stack.so 	service=system-auth
EOF

cat << EOF >> $RPM_BUILD_DIR/%{name}-%{version}/SAMPLE.pam-qmail-imapd
#%PAM-1.0
# Sample pam file for using kerberos authentication with imap daemon
# requires krb5-libs and krb5-workstation and pam_krb5 works for me, 
# I am using it to authenticate courier imapd against Active Directory
# tested on courier-imap but should probably work with bincimap as well
# save this file as /etc/pam.d/qmail-imapd and call it from the 
# appropriate run script.
# On more information on how to run courier-imap under daemontools / 
# tcpserver read http://rootshell.be/~shekhar/qmail.html
auth 		required 	pam_nologin.so
auth 		required 	pam_krb5.so 	shadow	nullok
account 	required 	pam_pwdb.so
account 	required  	pam_stack.so 	service=system-auth
session 	required 	pam_stack.so 	service=system-auth
EOF

cat << EOF >> $RPM_BUILD_DIR/%{name}-%{version}/SAMPLE.qmail-pop3d-run
#!/bin/sh
# Sample run script for invoking checkpassword-pam under qmail-pop3d
# the script is taken from lwq
# Logging run script will obviously remain unchanged
exec /usr/local/bin/softlimit -m 2000000 \\
      /usr/local/bin/tcpserver -v -R -H -l 0 0 110 /var/qmail/bin/qmail-popup \\
       FQDN /bin/checkpassword-pam --service /etc/pam.d/qmail-pop3d \\
        /var/qmail/bin/qmail-pop3d Maildir 2>&1
EOF

cat << EOF >> $RPM_BUILD_DIR/%{name}-%{version}/SAMPLE.qmail-imapd-run
#!/bin/sh
# Sample run script for invoking checkpassword-pam under imapd
# the script is based on the pop3d script from lwq
exec /command/envdir /var/qmail/supervise/imapd/env \\
      /usr/local/bin/tcpserver -v -R -H -l FQDN 0 143 \\
       /usr/lib/courier-imap/sbin/imaplogin \\
        /usr/lib/courier-imap/libexec/authlib/authpam \\
	 /usr/lib/courier-imap/bin/imapd Maildir 2>&1
EOF

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
echo ""
echo "See /usr/share/doc/%{name}-%{version} for examples on setting up checkpassword-pam with qmail."
echo ""

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README interface.html SAMPLE.pam-qmail-pop3d SAMPLE.pam-qmail-imapd SAMPLE.qmail-pop3d-run SAMPLE.qmail-imapd-run
/bin/checkpassword-pam
%{_mandir}/man8/checkpassword-pam.8*

%changelog
* Fri Sep 19 2003 Vincent Danen <vdanen@mandrakesoft.cmo> 0.97-7rph
- rebuild for rpmhelp.net (thanks shekhar@dishatech.com)

* Wed Sep 3 2003 Shekhar Joshi <shekhar@dishatech.com> 0.97-6mdk
- removed the extra source for the manpage
- renamed the release to rph

* Wed Aug 27 2003 Shekhar Joshi <shekhar@dishatech.com> 0.97-5mdk
- added a comment in post install.

* Tue Aug 19 2003 Shekhar Joshi <shekhar@dishatech.com> 0.97-4mdk
- added some more sample config files
- fixed the spec file

* Mon Aug 18 2003 Shekhar Joshi <shekhar@dishatech.com> 0.97-3mdk
- removed /etc/pam.d/qmail-pop3d and put it as a SAMPLE.qmail-pop3d
- this is a much cleaner solution, than putting it under sysconfdir
- added some additional info for SAMPLE.qmail-pop3d

* Mon Aug 18 2003 Shekhar Joshi <shekhar@dishatech.com> 0.97-2mdk
- Modified the sample pam file for qmail-pop3d
- removed the obsolete tag Copyright and used License instead

* Mon Aug 11 2003 Shekhar Joshi <shekhar@dishatech.com> 0.97-1mdk
- Build for Mandrake 9.1
- specfile stolen from checkpassword-0.90-5rph
- specfile is also a bit based on checkpassword-pam-0.95 cooker 9.1
